# class KDEDModule

###

Module | kdecore
Namespace |
Class | KDEDModule
Inherits | QObject

\class KDEDModule kdedmodule.h <KDEDModule>

The base class for KDED modules.

KDED modules are realized as shared libraries that are loaded on-demand into kded at runtime.

See kdelibs/kded/HOWTO for documentation about writing kded modules.

Author Waldo Bastian <bastian@kde.org>

### methods

- KDEDModule (parent)

  returns ctor
  KDE 4.1.0 and later only

  Argument | Type | Default
  --- | --- | ---
  parent | QObject | 0

  Constructor

- KDEDModule (a0)

  returns ctor
  before KDE 4.1.0 only

  Argument | Type | Default
  --- | --- | ---
  a0 | QObject | 0

- moduleDeleted (a0)

  returns Nothing
  SIGNAL ("moduleDeleted (KDEDModule*)")

  Argument | Type | Default
  --- | --- | ---
  a0 | KDEDModule |

  Emitted when the module is being deleted.

- moduleName ( )

  returns QString

- setModuleName (name)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  name | QString |

  Internal called by kded after loading a module The module name is set from the path of the desktop file, and is used to register the module to dbus.

- windowRegistered (windowId)

  returns Nothing
  SIGNAL ("windowRegistered (qlonglong)")

  Argument | Type | Default
  --- | --- | ---
  windowId | qlonglong |

  Emitted when a mainwindow registers itself.

- windowUnregistered (windowId)

  returns Nothing
  SIGNAL ("windowUnregistered (qlonglong)")

  Argument | Type | Default
  --- | --- | ---
  windowId | qlonglong |

  Emitted when a mainwindow unregisters itself.